/***************************************************************************
 * MoioChart Library - graphs and charts made easy                         *
 * Copyright (C) 2005 by Silvio Moioli                                     *
 * silvio@moioli.net, http://www.moioli.net                                *  
 *                                                                         *
 * This program is free software; you can redistribute it and/or           *
 * modify it under the terms of the GNU General Public License             *
 * as published by the Free Software Foundation; either version 2          *
 * of the License, or (at your option) any later version.                  *
 *                                                                         *
 * This program is distributed in the hope that it will be useful,         *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with this program; if not, write to the Free Software             *
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,              *
 * MA  02110-1301, USA.                                                    *
 ***************************************************************************/

package net.moioli.drawables;

import net.moioli.chart.DrawableI;

/**
 * A function which is defined (empirically) from a set of points.
 * 
 * @author Silvio Moioli
 * @version 2005/10/5
 */
public interface FunctionByPointsI extends DrawableI, FunctionI {
    /**
     * Returns an array with the ascissae of the points that define this
     * function.
     * 
     * @return an array of double
     */
    double[] getAscissae();

    /**
     * Changes the ascissae of the points that define this function.
     * 
     * @param ascissae
     *            the ascissae to set.
     */
    void setAscissae(double[] ascissae);

    /**
     * Returns an array with the ordinate of the points that define this
     * function.
     * 
     * @return an array of double
     */
    double[] getOrdinate();

    /**
     * Changes the ordinate of the points that define this function.
     * 
     * @param ordinate
     *            the ascissae to set.
     */
    void setOrdinate(double[] ordinate);
}